=== debian/changelog ===
gr-fcdproplus (0.0.1.1.2c80be-3) unstable; urgency=low

  * Recommend udev

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 11:44:43 -0500

gr-fcdproplus (0.0.1.1.2c80be-2) unstable; urgency=low

  * Try kFreeBSD support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Dec 2013 09:43:37 -0500

gr-fcdproplus (0.0.1.1.2c80be-1) unstable; urgency=low

  * New upstream (Closes: #725842)
  * Upstream does not yet set a soversion, so Debian package will start from 0.

 -- A. Maitland Bottoms <bottoms@petros.rf.org>  Mon, 02 Dec 2013 12:33:26 -0500
