=== debian/control ===
Source: gr-fcdproplus
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7), libboost-all-dev, libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liblog4cpp5-dev, doxygen, swig
Standards-Version: 3.9.4
Homepage: https://github.com/dl1ksv/gr-fcdproplus
Vcs-Git: https://github.com/dl1ksv/gr-fcdproplus

Package: gr-fcdproplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-fcdproplus0 (=${binary:Version})
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 . 
 This package provides a python library as well as
 a gnuradio companion source object.

Package: libgnuradio-fcdproplus0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gr-fcdproplus
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 . 
 This package provides a shared library.
