## gr-fcdproplus 0.0.1.2.1edbe52

=== debian/changelog ===
gr-fcdproplus (0.0.1.2.1edbe52-2) unstable; urgency=low

  * kFreeBSD build fix for freebsd-libs 10.0-5 which has
  libusb_get_string_descriptor

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 18:33:52 -0400

gr-fcdproplus (0.0.1.2.1edbe52-1) unstable; urgency=low

  * Update to v3.7_hidraw-11-g1edbe52

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 21:18:23 -0400

gr-fcdproplus (0.0.1.1.2c80be-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Feb 2014 21:42:44 -0500
