=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7), libboost-all-dev, libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liblog4cpp5-dev, doxygen, swig
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7.3),
+ gnuradio-dev (>= 3.7.3),  libusb-1.0-0-dev, liblog4cpp5-dev, doxygen, swig,
+ python, python-dev, libboost-dev, libboost-system-dev, libboost-filesystem-dev,
+ libasound2-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/dl1ksv/gr-fcdproplus
 Vcs-Git: https://github.com/dl1ksv/gr-fcdproplus
