## gr-fcdproplus 3.7.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2014 Free Software Foundation, Inc.
 #
 # This file is part of GNU Radio
 #
@@ -46,7 +46,6 @@
     #http://gcc.gnu.org/wiki/Visibility
     add_definitions(-fvisibility=hidden)
 endif()
-
 ########################################################################
 # Find boost
 ########################################################################
@@ -88,33 +87,39 @@
 ########################################################################
 # Find gnuradio build dependencies
 ########################################################################
-set(GR_REQUIRED_MODULES RUNTIME BLOCKS AUDIO)
+set(GR_REQUIRED_MODULES RUNTIME PMT BLOCKS AUDIO)
 
 find_package(Gnuradio "3.7")
-find_package(ALSA)
-find_package(USB)
 
 if(NOT GNURADIO_RUNTIME_FOUND)
     message(FATAL_ERROR "GnuRadio Core required to compile fcdproplus")
 endif()
-if(NOT LIBUSB_FOUND)
-    message(FATAL_ERROR "libusb required to compile fcdproplus")
+if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    find_package(ALSA)
+    find_package(USB)
+    if(NOT LIBUSB_FOUND)
+        message(FATAL_ERROR "libusb required to compile fcdproplus")
+    endif()
 endif()
 
 ########################################################################
 # Setup the include and linker paths
 ########################################################################
-include_directories(
-    ${CMAKE_SOURCE_DIR}/include
+set(COMMON_INCLUDE_DIRS
+    ${CMAKE_CURRENT_SOURCE_DIR}/include
     ${Boost_INCLUDE_DIRS}
     ${GNURADIO_RUNTIME_INCLUDE_DIRS}
-#    ${GNURADIO_BLOCKS_INCLUDE_DIRS}
 )
 
-link_directories(
+set(COMMON_LIB_DIRS
     ${Boost_LIBRARY_DIRS}
     ${GNURADIO_BLOCKS_LIBRARY_DIRS}
 )
+
+if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    list(APPEND COMMON_INCLUDE_DIRS ${LIBUSB_INCLUDE_DIR})
+    list(APPEND COMMON_LIB_DIRS ${LIBUSB_LIB_DIR})
+endif()
 
 # Set component parameters
 #set(GR_FCDPROPLUS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
@@ -138,7 +143,6 @@
 ########################################################################
 add_subdirectory(include/fcdproplus)
 add_subdirectory(lib)
-add_subdirectory(lib/hid)
 add_subdirectory(swig)
 add_subdirectory(python)
 add_subdirectory(grc)
@@ -167,6 +171,6 @@
 ########################################################################
 # Print Summary
 ########################################################################
-MESSAGE(STATUS "GNURADIO LIBS IN: ${GNURADIO_BLOCKS_LIBRARY_DIRS}")
+MESSAGE(STATUS "Building gr-fcdproplus for ${CMAKE_SYSTEM_NAME} ")
 MESSAGE(STATUS "GNURADIO INCLUDES IN: ${GNURADIO_RUNTIME_INCLUDE_DIRS}")
 MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
