=== debian/changelog ===
gr-fcdproplus (3.7.11-3) unstable; urgency=low

  * include Version in pkg-config pc file. (Closes: #759510)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 16:27:13 -0400

gr-fcdproplus (3.7.11-2) unstable; urgency=low

  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 01:50:28 -0400

gr-fcdproplus (3.7.11-1) unstable; urgency=low

  * Use version 3.7.11 for v3.7_hidraw-11-g1edbe52 (Closes: #757360)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 01:26:32 -0400
