=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 
 get-orig-source:
 	git clone https://github.com/dl1ksv/gr-fcdproplus
-	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | gzip > ../gr-fcdproplus_$(VER).orig.tar.gz
+	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | xz > ../gr-fcdproplus_$(VER).orig.tar.xz
 	rm -rf gr-fcdproplus
