## gr-fcdproplus 3.7.24.cf5db38

=== CMakeLists.txt ===
--- 
+++ 
@@ -87,7 +87,7 @@
 ########################################################################
 # Find gnuradio build dependencies
 ########################################################################
-set(GR_REQUIRED_MODULES RUNTIME PMT BLOCKS AUDIO)
+set(GR_REQUIRED_COMPONENTS RUNTIME PMT BLOCKS AUDIO)
 
 find_package(Gnuradio "3.7")
 
@@ -101,6 +101,8 @@
         message(FATAL_ERROR "libusb required to compile fcdproplus")
     endif()
 endif()
+
+find_package(Doxygen)
 
 ########################################################################
 # Setup the include and linker paths
@@ -171,6 +173,13 @@
 ########################################################################
 # Print Summary
 ########################################################################
+MESSAGE(STATUS "================ Build Summary ===================")
 MESSAGE(STATUS "Building gr-fcdproplus for ${CMAKE_SYSTEM_NAME} ")
 MESSAGE(STATUS "GNURADIO INCLUDES IN: ${GNURADIO_RUNTIME_INCLUDE_DIRS}")
 MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
+if(HIDAPI_LIBRARY)
+	  MESSAGE(STATUS "System Hidapi Lib ${HIDAPI_LIBRARY} is used")
+else()	  
+  MESSAGE(STATUS "Bundled hidapi is used")
+endif()  
+MESSAGE(STATUS "==================================================")
