=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -22,22 +22,12 @@
 ########################################################################
 include(GrPlatform) #define LIB_SUFFIX
 
-include_directories(
-    ${CMAKE_CURRENT_SOURCE_DIR}/hid
-    ${COMMON_INCLUDE_DIRS} 
-)
-
 link_directories(${COMMON_LIB_DIRS})
 
 list(APPEND fcdproplus_sources
     fcdproplus_impl.cc
 )
 
-if(APPLE)
-  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hidmac.c)
-else()
-  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hid.c)
-endif()
 
 if(APPLE)
   FIND_LIBRARY(IOKIT_LIBRARY IOKit)
@@ -45,17 +35,45 @@
   FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
   list(APPEND fcdproplus_libs ${COREFOUNDATION_LIBRARY})
 else()
-  list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} )
+ list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} )
 endif()
 
-add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+FIND_LIBRARY(HIDAPI_LIBRARY hidapi-libusb)
+if(HIDAPI_LIBRARY)
+  MESSAGE(STATUS "System Hidapi Lib ${HIDAPI_LIBRARY} is used")
+  add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+  #  list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} ${HIDAPI_LIBRARY} )
+  list(APPEND fcdproplus_libs  ${HIDAPI_LIBRARY} )
+  set_target_properties(gnuradio-fcdproplus PROPERTIES COMPILE_DEFINITIONS 
+	  "SYSTEM_HIDAPI")
+  include_directories(
+	      ${COMMON_INCLUDE_DIRS} 
+	      )
+else()
+  MESSAGE(STATUS "Bundled hidapi is used")
+  include_directories(
+    ${CMAKE_CURRENT_SOURCE_DIR}/hid
+    ${COMMON_INCLUDE_DIRS} 
+  )
+  if(APPLE)
+    list(APPEND fcdproplus_sources
+    ${CMAKE_CURRENT_SOURCE_DIR}/hid/hidmac.c)
+  else()
+   list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hid.c)
+  endif()
+  add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+endif()
+
+set_target_properties(gnuradio-fcdproplus PROPERTIES SOVERSION 0)
+set_target_properties(gnuradio-fcdproplus PROPERTIES VERSION 0.0.0)
+set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
 
 target_link_libraries(gnuradio-fcdproplus ${fcdproplus_libs} ${Boost_LIBRARIES}
   ${GNURADIO_RUNTIME_LIBRARIES} ${GNURADIO_BLOCKS_LIBRARIES}
   ${GNURADIO_AUDIO_LIBRARIES}
 )
 
-if(APPLE)
+#if(APPLE)
   # for some reason on OSX, linking to gnuradio-runtime also requires
   # linking with gnuradio-pmt; this does not seem necessary on Linux.
   target_link_libraries(gnuradio-fcdproplus ${GNURADIO_PMT_LIBRARIES})
@@ -63,9 +81,8 @@
   SET_TARGET_PROPERTIES(gnuradio-fcdproplus PROPERTIES
       INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}"
   )
-endif()
+#endif()
 
-set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
 
 MESSAGE(STATUS "Audio LIBS: ${GNURADIO_AUDIO_LIBRARIES}")
