=== debian/changelog ===
gr-fcdproplus (3.7.24.cf5db38-5) unstable; urgency=medium

  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Jan 2016 00:10:43 -0500

gr-fcdproplus (3.7.24.cf5db38-4) unstable; urgency=medium

  * Lintian packaging cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 21:24:48 -0500

gr-fcdproplus (3.7.24.cf5db38-3) unstable; urgency=low

  * post gcc-5 rebuild with gnuradio 3.7.8-3 (Closes: #791060)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2015 21:45:22 -0400

gr-fcdproplus (3.7.24.cf5db38-2) unstable; urgency=low

  * update hid code for kFreeBSD case.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Aug 2015 16:11:03 -0400

gr-fcdproplus (3.7.24.cf5db38-1) unstable; urgency=low

  * New upstream with_hidapi-10-gcf5db38
    24 patches after v3.7 tag

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Aug 2015 23:54:00 -0400
